#
# spec file for package distribution-gpg-keys
#
# Copyright (c) 2021 SUSE LLC
# Copyright (c) 2021 Nicolas FORMICHELLA <stigpro@outlook.fr>
# Copyright (c) 2022 Neal Gompa <ngompa13@gmail.com>.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# Release versions are part of the git tag
%global origrel 1

Name:           distribution-gpg-keys
Version:        1.67
Release:        bp155.2.9
Summary:        GPG keys of various Linux distributions
Group:          System/Packages
License:        CC0-1.0
URL:            https://github.com/xsuchy/distribution-gpg-keys
Source0:        %{url}/archive/%{name}-%{version}-%{origrel}.tar.gz
BuildArch:      noarch

%description
GPG keys used by various Linux distributions to sign packages.

%prep
%setup -q -n %{name}-%{name}-%{version}-%{origrel}

%build
#nothing to do here

%install
mkdir -p %{buildroot}%{_datadir}/%{name}/
cp -a keys/* %{buildroot}%{_datadir}/%{name}/

# We don't want to package COPR GPG keys
rm -rf %{buildroot}%{_datadir}/%{name}/copr

%files
%license LICENSE
%doc README.md SOURCES.md
%{_datadir}/%{name}/

%changelog
* Wed Mar 23 2022 Neal Gompa <ngompa13@gmail.com>
- Update to v1.67
  + Add EPEL9 key
  + Add keys of RPM Fusion Fedora 37
  + Add Navy Linux RPM GPG official key
  + add new MySQL key
  + add Fedora 37
  + Add symlink for CentOS Stream 9 to main official key
  + Add EuroLinux 9 key
  + move Fedora Rawhide key to F37
  + Add remi 2022 key
  + Refresh all CentOS SIG keys (rh#2059424)
* Fri Oct 22 2021 Nicolas FORMICHELLA <stigpro@outlook.fr>
- Update to v1.58
  - [1.39]
    + Add Rosa Linux and Intel keys
  - [1.40]
    + Add EuroLinux keys
    + Add Datto's third party repository keys
  - [1.41]
    + Add QubesOS and Fedora 34 keys
  - [1.42]
    + Add RPMFusion 33 keys
  - [1.43]
  - [1.44]
    + Add Oracle Linux, Fedora ELN and Zoom keys
    + Update symlinks
  - [1.45]
    + Update symlinks
  - [1.46]
  - [1.47]
    + Add Remi 2021 key
  - [1.48]
    + Add Fedora 35 keys
  - [1.49]
    + Add Mariadb and Alma Linux keys
    + Update symlinks
  - [1.50]
  - [1.51]
    + Add Intel new key
    + Add Fedora 36 key
    + Add missing CentOS keys
  - [1.52-1.53]
  - [1.54]
    + Add SUSE keys
    + Add OpenSUSE
  - [1.55]
    + Add Rocky Linux keys
  - [1.56-1.57]
  - [1.58]
    + Add RPMFusion 36 keys
    + Update symlinks
* Thu May 21 2020 Neal Gompa <ngompa13@gmail.com>
- Version 1.38
  + Add Fedora GPG keys for Fedora 33
  + Add symlinks for CentOS 8 GPG keys
  + Add various vendor repository GPG keys
* Sat Dec  7 2019 Neal Gompa <ngompa13@gmail.com>
- Version 1.35
  + Add Fedora GPG keys for Fedora 32
  + Add CentOS 8 and EPEL 8 GPG keys
  + Add Amazon Linux 2 GPG key
  + Add OpenMandriva GPG key
  + Add various vendor repository GPG keys
* Mon Feb 25 2019 Neal Gompa <ngompa13@gmail.com>
- Version 1.29
  + Add Fedora GPG keys for Fedora 30 and 31
  + Add Fedora GPG key for IoT Edition
  + Add Red Hat Enterprise Linux 8 Beta GPG keys
  + Add various vendor repository GPG keys
* Mon Apr 30 2018 Neal Gompa <ngompa13@gmail.com>
- Version 1.21
- Initial package based on Mageia packaging
